#!/usr/bin/env python

import os
import json

from pycs.frontend.WebServer import WebServer

print('- Loading settings')
with open('settings.json') as file:
    settings = json.load(file)

# create projects folder
if not os.path.exists('projects/'):
    os.mkdir('projects/')

# start web server
server = WebServer(settings)

if __name__ == '__main__':
    server.run()
